#
#  Copyright 2010-2020 Amazon.com, Inc. or its affiliates. All Rights Reserved.
#
#  This file is licensed under the Apache License, Version 2.0 (the "License").
#  You may not use this file except in compliance with the License. A copy of
#  the License is located at
# 
#  http://aws.amazon.com/apache2.0/
# 
#  This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
#  CONDITIONS OF ANY KIND, either express or implied. See the License for the
#  specific language governing permissions and limitations under the License.
#
from __future__ import print_function # Python 2/3 compatibility
import boto3
import json
import boto3
from botocore.exceptions import ClientError

def loadPreTokenDDB(inputParameters):
    client = boto3.client('dynamodb')

    for ddbRecord in inputParameters["ddbRecords"]:
        response = client.put_item(
            Item=ddbRecord,
            ReturnConsumedCapacity='TOTAL',
            TableName=inputParameters["tableName"],)
